addpath('data')
addpath('mex&mfile')

% If you want to plot your own mesh with color, please run the following line for the texture:
% mean_curv = mean_curvature(v,f);

%% Example 1: Chinese Lion

load('chinese_lion.mat');

plot_mesh(v',f',mean_curv); view([0 80]);
title('Input Mesh')

vmap = diskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-25 90]);
title('Disk Conformal Parameterization of the Input Mesh')

%% Example 2: Human Face

load('human_face.mat')

plot_mesh(v',f',mean_curv); view([-90 -85]);
title('Input Mesh')

vmap = diskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-10 90]);
title('Disk Conformal Parameterization of the Input Mesh')

%% Example 3: Hand

load('hand.mat')

plot_mesh(v',f',mean_curv); view([40 70]);
title('Input Mesh')

vmap = diskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([0 90]);
title('Disk Conformal Parameterization of the Input Mesh')

%% Example 4: Human Brain

load('human_brain.mat')

plot_mesh(v',f',mean_curv); view([90 0]);
title('Input Mesh')

vmap = diskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([190 90]);
title('Disk Conformal Parameterization of the Input Mesh')
